Skip to main content
`Ctrl`+`K`

# PetscGetArchType

Returns the $PETSC_ARCH that was used for this configuration of PETSc

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscGetArchType(char str[], size_t slen)

Not Collective

## Input Parameter

- slen - length of string buffer

## Output Parameter

- str - string area to contain architecture name, should be at least 10 characters long. Name is truncated if string is not long enough.

## Note

This name is arbitrary and need not correspond to the physical hardware or the software running on the system.

## Fortran Note

      character*(128) str
      call PetscGetArchType(str,ierr)

## See Also

`PetscGetUserName()`, `PetscGetHostName()`

## Level

developer

## Location

src/sys/utils/arch.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages